package org.processmining.plugins.actitrac;

import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.plugins.actitrac.ui.JClusteringSidePane;


/**
 * An AbstractConnection implementation that allows a JClusteringSidePane to be
 * connected to something else.
 * 
 * @author Niels Lambrigts (niels.lambrigts@gmail.com)
 * @author Jochen De Weerdt (Jochen.DeWeerdt@econ.kuleuven.be)
 * @date 2011-07-29
 */
public class JClusteringSidePaneConnection extends AbstractConnection {

	public JClusteringSidePaneConnection(JClusteringSidePane infopane) {
		super("JClusteringSidePaneConnection");
		put("JClusteringSidePane", infopane);
	}

	public static JClusteringSidePaneConnection plugin(
			JClusteringSidePane infopane) {
		return new JClusteringSidePaneConnection(infopane);
	}
}
