package org.processmining.plugins.actitrac.types;

/**
 * An interface describing the general ClusterTreeNode.
 * 
 * @author Niels Lambrigts (niels.lambrigts@gmail.com)
 * @author Jochen De Weerdt (Jochen.DeWeerdt@econ.kuleuven.be)
 * @date 2011-07-29
 */
public interface ClusterTreeNode {

	/**
	 * Return the left child of this node, or null if there is no such child.
	 */
	public ClusterTreeNode getLeft();

	/**
	 * Return the right child of this node, or null if there is no such child.
	 */
	public ClusterTreeNode getRight();
}
